Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/carbon_cycle_mod.F90	(revision 5082)
@@ -361,9 +361,9 @@
     IF (is_mpi_root .AND. is_omp_root) THEN
 
-       IF (level_coupling_esm.GT.0) THEN
+       IF (level_coupling_esm>0) THEN
 
           OPEN(200,file='coupling_fields.def',form='formatted',status='old', iostat=ierr)
 
-          IF (ierr.EQ.0) THEN
+          IF (ierr==0) THEN
 
              WRITE(lunout,*) trim(modname),': Open coupling_fields.def : ok'
@@ -398,10 +398,10 @@
                 WRITE(lunout,*) 'coupling field: ',cfname_root(iq), & 
                                ', number: ',iq,', long name: ',cftext_root(iq),', units ',cfunits_root(iq)
-                IF (nbcf_in+nbcf_out.LT.nbcf) THEN
-                  IF (cfintent_root(iq).NE.'OUT') THEN
+                IF (nbcf_in+nbcf_out<nbcf) THEN
+                  IF (cfintent_root(iq)/='OUT') THEN
                     nbcf_in=nbcf_in+1
                     mask_in_root(iq)=.TRUE.
                     mask_out_root(iq)=.FALSE.
-                  ELSE IF (cfintent_root(iq).EQ.'OUT') THEN
+                  ELSE IF (cfintent_root(iq)=='OUT') THEN
                     nbcf_out=nbcf_out+1
                     mask_in_root(iq)=.FALSE.
@@ -446,13 +446,13 @@
     IF (is_mpi_root .AND. is_omp_root) THEN
 
-        IF (nbcf.GT.0)     cfname=cfname_root
-        IF (nbcf_in.GT.0)  cfname_in=PACK(cfname_root,mask_in_root)
-        IF (nbcf_out.GT.0) cfname_out=PACK(cfname_root,mask_out_root)
-        IF (nbcf_in.GT.0)  cftext_in=PACK(cftext_root,mask_in_root)
-        IF (nbcf_out.GT.0) cftext_out=PACK(cftext_root,mask_out_root)
-        IF (nbcf.GT.0)     cfmod1=cfmod1_root
-        IF (nbcf.GT.0)     cfmod2=cfmod2_root
-        IF (nbcf_in.GT.0)  cfunits_in=PACK(cfunits_root,mask_in_root)
-        IF (nbcf_out.GT.0) cfunits_out=PACK(cfunits_root,mask_out_root)
+        IF (nbcf>0)     cfname=cfname_root
+        IF (nbcf_in>0)  cfname_in=PACK(cfname_root,mask_in_root)
+        IF (nbcf_out>0) cfname_out=PACK(cfname_root,mask_out_root)
+        IF (nbcf_in>0)  cftext_in=PACK(cftext_root,mask_in_root)
+        IF (nbcf_out>0) cftext_out=PACK(cftext_root,mask_out_root)
+        IF (nbcf>0)     cfmod1=cfmod1_root
+        IF (nbcf>0)     cfmod2=cfmod2_root
+        IF (nbcf_in>0)  cfunits_in=PACK(cfunits_root,mask_in_root)
+        IF (nbcf_out>0) cfunits_out=PACK(cfunits_root,mask_out_root)
 
         nbcf_in_orc=0
@@ -484,5 +484,5 @@
     WRITE(lunout,*) 'nbcf_in_ant  =',nbcf_in_ant
 
-    IF (nbcf_in.GT.0) THEN 
+    IF (nbcf_in>0) THEN
         DO iq=1,nbcf_in
           CALL bcast(cfname_in(iq))
@@ -492,5 +492,5 @@
     ENDIF
 
-    IF (nbcf_out.GT.0) THEN
+    IF (nbcf_out>0) THEN
         DO iq=1,nbcf_out
           CALL bcast(cfname_out(iq))
@@ -500,5 +500,5 @@
     ENDIF
 
-    IF (nbcf.GT.0) THEN
+    IF (nbcf>0) THEN
         DO iq=1,nbcf
           CALL bcast(cfmod1(iq))
@@ -507,18 +507,18 @@
     ENDIF
 
-    IF (nbcf_in.GT.0)  WRITE(lunout,*)'infocfields_mod --- cfname_in: ',cfname_in
-    IF (nbcf_out.GT.0) WRITE(lunout,*)'infocfields_mod --- cfname_out: ',cfname_out
-
-    IF (nbcf_in.GT.0)  WRITE(lunout,*)'infocfields_mod --- cftext_in: ',cftext_in
-    IF (nbcf_out.GT.0) WRITE(lunout,*)'infocfields_mod --- cftext_out: ',cftext_out
-
-    IF (nbcf.GT.0) WRITE(lunout,*)'infocfields_mod --- cfmod1: ',cfmod1 
-    IF (nbcf.GT.0) WRITE(lunout,*)'infocfields_mod --- cfmod2: ',cfmod2 
-
-    IF (nbcf_in.GT.0)  WRITE(lunout,*)'infocfunits_mod --- cfunits_in: ',cfunits_in
-    IF (nbcf_out.GT.0) WRITE(lunout,*)'infocfunits_mod --- cfunits_out: ',cfunits_out
-
-    IF (nbcf_in.GT.0)  WRITE(*,*)'infocfields_init --- number of fields in to LMDZ: ',nbcf_in
-    IF (nbcf_out.GT.0) WRITE(*,*)'infocfields_init --- number of fields out of LMDZ: ',nbcf_out
+    IF (nbcf_in>0)  WRITE(lunout,*)'infocfields_mod --- cfname_in: ',cfname_in
+    IF (nbcf_out>0) WRITE(lunout,*)'infocfields_mod --- cfname_out: ',cfname_out
+
+    IF (nbcf_in>0)  WRITE(lunout,*)'infocfields_mod --- cftext_in: ',cftext_in
+    IF (nbcf_out>0) WRITE(lunout,*)'infocfields_mod --- cftext_out: ',cftext_out
+
+    IF (nbcf>0) WRITE(lunout,*)'infocfields_mod --- cfmod1: ',cfmod1
+    IF (nbcf>0) WRITE(lunout,*)'infocfields_mod --- cfmod2: ',cfmod2
+
+    IF (nbcf_in>0)  WRITE(lunout,*)'infocfunits_mod --- cfunits_in: ',cfunits_in
+    IF (nbcf_out>0) WRITE(lunout,*)'infocfunits_mod --- cfunits_out: ',cfunits_out
+
+    IF (nbcf_in>0)  WRITE(*,*)'infocfields_init --- number of fields in to LMDZ: ',nbcf_in
+    IF (nbcf_out>0) WRITE(*,*)'infocfields_init --- number of fields out of LMDZ: ',nbcf_out
 
  ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cdrag_mod.F90	(revision 5082)
@@ -228,8 +228,8 @@
   ng_qsurf = 0  ! Initialization
   DO i = 1, knon
-     IF (q1(i).LT.0.0)     ng_q1 = ng_q1 + 1
-     IF (qsurf(i).LT.0.0)  ng_qsurf = ng_qsurf + 1
+     IF (q1(i)<0.0)     ng_q1 = ng_q1 + 1
+     IF (qsurf(i)<0.0)  ng_qsurf = ng_qsurf + 1
   ENDDO
-  IF (ng_q1.GT.0 .and. prt_level > 5) THEN
+  IF (ng_q1>0 .and. prt_level > 5) THEN
       WRITE(lunout,*)" *** Warning: Negative q1(humidity at 1st level) values in cdrag.F90 !"
       WRITE(lunout,*)" The total number of the grids is: ", ng_q1
@@ -238,5 +238,5 @@
 !      CALL abort_physic(modname,abort_message,1)
   ENDIF
-  IF (ng_qsurf.GT.0 .and. prt_level > 5) THEN
+  IF (ng_qsurf>0 .and. prt_level > 5) THEN
       WRITE(lunout,*)" *** Warning: Negative qsurf(humidity at surface) values in cdrag.F90 !"
       WRITE(lunout,*)" The total number of the grids is: ", ng_qsurf
@@ -292,5 +292,5 @@
 !------------------ Rajout (OT2018) --------------------
 !--------------   ON DUPLIQUE POUR METTRE ITERATION SUR OCEAN    ------------------------     
-     IF (iri_in.EQ.1) THEN
+     IF (iri_in==1) THEN
        zri(i) = ri_in(i)
      ENDIF
@@ -299,6 +299,6 @@
         
 !------------------  Pour Core 2 choix Core Pur ou Core Mixte  --------------------
-       IF ((choix_bulk > 1 .AND. choix_bulk < 4) .AND. (nsrf .eq. is_oce)) THEN
-         IF(choix_bulk .eq. 2) THEN
+       IF ((choix_bulk > 1 .AND. choix_bulk < 4) .AND. (nsrf == is_oce)) THEN
+         IF(choix_bulk == 2) THEN
            mixte = .false.
          ELSE
@@ -316,9 +316,9 @@
 
 !------------------                 Pour ECUME                 --------------------
-       ELSE IF ((choix_bulk .eq. 4) .and. (nsrf .eq. is_oce)) THEN
+       ELSE IF ((choix_bulk == 4) .and. (nsrf == is_oce)) THEN
          OPRECIP = .false.
          OPWEBB  = .false.
          OPERTFLUX = .false.
-         IF (nsrf .eq. is_oce) THEN
+         IF (nsrf == is_oce) THEN
            PSSS = 0.0
          ENDIF
@@ -339,5 +339,5 @@
 
 !------------------                 Pour COARE CNRM                 --------------------
-       ELSE IF ((choix_bulk .eq. 5) .and. (nsrf .eq. is_oce)) THEN
+       ELSE IF ((choix_bulk == 5) .and. (nsrf == is_oce)) THEN
          LPRECIP = .false.
          LPWG    = .false.
@@ -362,6 +362,6 @@
 
 !------------------                 Pour COARE Maison                 --------------------
-       ELSE IF ((choix_bulk .eq. 1) .and. (nsrf .eq. is_oce)) THEN
-         IF ( pblh(i) .eq. 0. ) THEN
+       ELSE IF ((choix_bulk == 1) .and. (nsrf == is_oce)) THEN
+         IF ( pblh(i) == 0. ) THEN
            pblh(i) = 1500.
          ENDIF
@@ -381,5 +381,5 @@
 !------------------                 Pour La param LMDZ (ocean)              --------------------
          zri(i) = zgeop1(i)*(ztvd-ztsolv)/(zdu2*ztvd)
-         IF (iri_in.EQ.1) THEN
+         IF (iri_in==1) THEN
            zri(i) = ri_in(i)
          ENDIF
@@ -398,5 +398,5 @@
 ! Calcul des fonctions de stabilite FMs, FHs, FMi, FHi :
 !*******************************************************
-         IF (zri(i) .LT. 0.) THEN    
+         IF (zri(i) < 0.) THEN
            SELECT CASE (iflag_corr_insta)
              CASE (1) ! Louis 1979 + Mascart 1995
@@ -466,5 +466,5 @@
                   FH(i)=FM(i)
              CASE (4)  ! King 2001
-                  IF (zri(i) .LT. C2/2.) THEN
+                  IF (zri(i) < C2/2.) THEN
                     FM(i)=MAX((1.-zri(i)/C2)**2,f_ri_cd_min)
                     FH(i)=  FM(i)
@@ -474,5 +474,5 @@
                   ENDIF
              CASE (5) ! MO
-                  if (zri(i) .LT. 1./alpha) then
+                  if (zri(i) < 1./alpha) then
                     FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                     FH(i)=FM(i)
@@ -504,5 +504,5 @@
            ENDIF
 
-           IF (nsrf.EQ.is_oce) THEN
+           IF (nsrf==is_oce) THEN
              cdhh(i)=f_cdrag_oce*cdhn(i)*FH(i)
              cdmm(i)=MIN(cdmm(i),cdmmax)
@@ -528,5 +528,5 @@
          ENDIF
        ENDDO
-       IF (nsrf.EQ.is_oce) THEN
+       IF (nsrf==is_oce) THEN
          cdm(i)=MIN(cdmm(i),cdmmax)
          cdh(i)=MIN(cdhh(i),cdhmax)
@@ -536,5 +536,5 @@
      ELSE ! (nsrf == is_oce)
        zri(i) = zgeop1(i)*(ztvd-ztsolv)/(zdu2*ztvd)
-       IF (iri_in.EQ.1) THEN
+       IF (iri_in==1) THEN
          zri(i) = ri_in(i)
        ENDIF
@@ -552,5 +552,5 @@
 ! Cas instables
 !''''''''''''''
-       IF (zri(i) .LT. 0.) THEN    
+       IF (zri(i) < 0.) THEN
          SELECT CASE (iflag_corr_insta)
            CASE (1) ! Louis 1979 + Mascart 1995
@@ -607,5 +607,5 @@
                 FH(i)=FM(i)
            CASE (4)  ! King 2001
-                if (zri(i) .LT. C2/2.) then
+                if (zri(i) < C2/2.) then
                   FM(i)=MAX((1.-zri(i)/C2)**2,f_ri_cd_min)
                   FH(i)=  FM(i)
@@ -615,5 +615,5 @@
                 endif
            CASE (5) ! MO
-                if (zri(i) .LT. 1./alpha) then
+                if (zri(i) < 1./alpha) then
                   FM(i)=MAX((1.-alpha*zri(i))**2,f_ri_cd_min)
                   FH(i)=FM(i)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cfmip_point_locations.F90	(revision 5082)
@@ -17,10 +17,10 @@
 10 READ(20,*) tab(np), lonCFMIP(np), latCFMIP(np)
 !!! passage de 0-360 a -180/180
-   IF (lonCFMIP(np).GT.180.) THEN
+   IF (lonCFMIP(np)>180.) THEN
     lonCFMIP(np)=lonCFMIP(np)-360.
    ENDIF 
    WRITE(21,*) np, lonCFMIP(np), latCFMIP(np)
    np=np+1
-   IF(np.LE.npCFMIP) THEN 
+   IF(np<=npCFMIP) THEN
     GOTO 10
    ENDIF
@@ -56,8 +56,8 @@
 !  lon(i+1)
 !
-   IF(lonCFMIP(np).GE.lon(i).AND.lonCFMIP(np).LT.lon(i+1)) THEN
+   IF(lonCFMIP(np)>=lon(i).AND.lonCFMIP(np)<lon(i+1)) THEN
     dlon1 = abs (lonCFMIP(np) - lon(i))
     dlon2 = abs (lonCFMIP(np) - lon(i+1))
-    IF (dlon1.LE.dlon2) THEN
+    IF (dlon1<=dlon2) THEN
      ipt(np)=i
     ELSE
@@ -70,8 +70,8 @@
    np=1
 30 j=1
-40 IF(latCFMIP(np).LE.io_lat(j).AND.latCFMIP(np).GE.io_lat(j+1)) THEN
+40 IF(latCFMIP(np)<=io_lat(j).AND.latCFMIP(np)>=io_lat(j+1)) THEN
     dlat1 = abs (latCFMIP(np) - io_lat(j))
     dlat2 = abs (latCFMIP(np) - io_lat(j+1))
-    IF (dlat1.LE.dlat2) THEN
+    IF (dlat1<=dlat2) THEN
      jpt(np)=j
     ELSE
@@ -79,10 +79,10 @@
     ENDIF
     np=np+1
-    IF(np.LE.npCFMIP) THEN
+    IF(np<=npCFMIP) THEN
      GOTO 30
     ENDIF 
    ELSE
     j=j+1
-    IF(j.LE.nbp_lat-1) THEN 
+    IF(j<=nbp_lat-1) THEN
      GOTO 40
     ENDIF
@@ -98,9 +98,9 @@
      lonGCM(ip)=lon(ipt(ip))
      latGCM(ip)=io_lat(jpt(ip))
-     if(jpt(ip).GE.2.AND.jpt(ip).LE.nbp_lat-1) THEN     
+     if(jpt(ip)>=2.AND.jpt(ip)<=nbp_lat-1) THEN
       tabijGCM(ip)=1+(jpt(ip)-2)*nbp_lon+ipt(ip)
-     else if(jpt(ip).EQ.1) THEN
+     else if(jpt(ip)==1) THEN
       tabijGCM(ip)=1
-     else if(jpt(ip).EQ.nbp_lat) THEN
+     else if(jpt(ip)==nbp_lat) THEN
       tabijGCM(ip)=klon_glo
      else 
@@ -110,5 +110,5 @@
     ENDDO
     DO ip=1, npCFMIP
-     if(lonGCM(ip).EQ.io_lon(1)) lonGCM(ip)=360.+lonGCM(ip)
+     if(lonGCM(ip)==io_lon(1)) lonGCM(ip)=360.+lonGCM(ip)
     ENDDO
    DO i=1, npCFMIP
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/change_srf_frac_mod.F90	(revision 5082)
@@ -165,5 +165,5 @@
        END WHERE
 ! Send fractions back to slab ocean if needed
-       IF (type_ocean == 'slab'.AND. version_ocean.NE.'sicINT') THEN
+       IF (type_ocean == 'slab'.AND. version_ocean/='sicINT') THEN
            WHERE (1.-zmasq(:)>EPSFRA)
                fsic(:)=pctsrf(:,is_sic)/(1.-zmasq(:))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clc_core_cp.F90	(revision 5082)
@@ -89,5 +89,5 @@
 
 
-  if ( dt .gt. 0. ) then
+  if ( dt > 0. ) then
      ch_n10 = 0.018 * cd_n10_rt                !!!!!!! si regime stable calcul du ch
 !     z_0h = 10. * exp(-k/ch_n10)
@@ -132,5 +132,5 @@
 
 
-     IF ( zeta(1) .GT. 0 ) THEN !!! si regime stable alors valeurs pr chi et psi 
+     IF ( zeta(1) > 0 ) THEN !!! si regime stable alors valeurs pr chi et psi
 
         chi = 0.018 
@@ -151,5 +151,5 @@
 
      do j =2,3
-        IF ( zeta(j) .GT. 0 ) THEN
+        IF ( zeta(j) > 0 ) THEN
            psi(1,j) = -5.*zeta(j)
            psi(2,j) = psi(1,1)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/clcdrag.F90	(revision 5082)
@@ -98,5 +98,5 @@
 
 !!$        IF (zri(i) .ge. 0.) THEN      ! situation stable
-     IF (zri(i) .GT. 0.) THEN      ! situation stable
+     IF (zri(i) > 0.) THEN      ! situation stable
         zri(i) = MIN(20.,zri(i))
         IF (.NOT.zxli) THEN
@@ -108,5 +108,5 @@
 !!$ PB           zcfh1(i) = f_cdrag_stable * zcdn(i) * FRIH
            zcfh1(i) = f_cdrag_ter * zcdn(i) * FRIH
-           IF(nsrf.EQ.is_oce) zcfh1(i) = f_cdrag_oce * zcdn(i) * FRIH
+           IF(nsrf==is_oce) zcfh1(i) = f_cdrag_oce * zcdn(i) * FRIH
 !!$ PB
            pcfm(i) = zcfm1(i)
@@ -132,5 +132,5 @@
 ! cdrah sur l'ocean cf. Miller et al. (1992) - only active when gustiness parameterization is not active
            zcr = (0.0016/(zcdn(i)*SQRT(zdu2)))*ABS(ztvd-ztsolv)**(1./3.)
-           IF(nsrf.EQ.is_oce) pcfh(i) =f_cdrag_oce* zcdn(i)*(1.0+zcr**1.25)**(1./1.25)
+           IF(nsrf==is_oce) pcfh(i) =f_cdrag_oce* zcdn(i)*(1.0+zcr**1.25)**(1./1.25)
         ENDIF
      ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5082)
@@ -158,5 +158,5 @@
 !
 !****************************************************************************************
-    IF (mod(iflag_pbl_split,10) .ge.1) THEN
+    IF (mod(iflag_pbl_split,10) >=1) THEN
     DO k= 1, klev
       DO i= 1, klon
@@ -164,5 +164,5 @@
         Dcoef_QBS_out(i,k) = Dcoef_QBS(i,k)
         Kcoef_qbs_out(i,k) = Kcoefqbs(i,k)
-          IF (k.eq.1) THEN
+          IF (k==1) THEN
             gama_qbs_out(i,k)  = 0.
           ELSE
@@ -301,5 +301,5 @@
     psref(1:knon) = paprs(1:knon,1)  
 
-       IF (mod(iflag_pbl_split,10) .ge.1) THEN
+       IF (mod(iflag_pbl_split,10) >=1) THEN
     DO i = 1, knon
       Acoef_QBS(i)=Acoef_QBS_in(i)
@@ -311,5 +311,5 @@
         Dcoef_QBS(i,k)=Dcoef_QBS_in(i,k)
         Kcoefqbs(i,k)=Kcoef_qbs_in(i,k)
-          IF (k.gt.1) THEN
+          IF (k>1) THEN
             gamaqbs(i,k)=gama_qbs_in(i,k)
           ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5082)
@@ -173,5 +173,5 @@
 !!! jyg le 07/02/2012
 !!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
-       IF (mod(iflag_pbl_split,10) .ge.1) THEN
+       IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
     DO k= 1, klev
@@ -310,5 +310,5 @@
 !!! jyg le 07/02/2012
 !!jyg       IF (mod(iflag_pbl_split,2) .eq.1) THEN
-       IF (mod(iflag_pbl_split,10) .ge.1) THEN
+       IF (mod(iflag_pbl_split,10) >=1) THEN
 !!! nrlmd le 02/05/2011
     DO i = 1, knon
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90	(revision 5082)
@@ -177,5 +177,5 @@
 ! Le Rn est traiter commme une couche Brownienne puisque vdeptr = 0.
 !-------------------------------------------------------------------
-     IF ( NINT(masktr(i)) .EQ. 1 ) THEN
+     IF ( NINT(masktr(i)) == 1 ) THEN
         zx_trs(i) = local_trs(i)
         zx_a = zx_trs(i)                                           &
@@ -197,6 +197,6 @@
 !--------------------------------------------------------
 
-     IF ( (itr.eq.id_rn.AND.NINT(masktr(i)).EQ.1.AND.lat(i).GE.60..AND.lat(i).LE.70.).OR.      &
-          (itr.eq.id_pb.AND.NINT(masktr(i)).EQ.1.AND.lat(i).GE.60..AND.lat(i).LE.70.) ) THEN
+     IF ( (itr==id_rn.AND.NINT(masktr(i))==1.AND.lat(i)>=60..AND.lat(i)<=70.).OR.      &
+          (itr==id_pb.AND.NINT(masktr(i))==1.AND.lat(i)>=60..AND.lat(i)<=70.) ) THEN
         zx_trs(i) = local_trs(i)
         zx_a = zx_trs(i)                                           &
@@ -223,6 +223,6 @@
 !---------------------------------------------------------------
 
-     IF ( (itr.EQ.id_rn.AND.NINT(masktr(i)).EQ.0).OR.       &
-          (itr.EQ.id_rn.AND.NINT(masktr(i)).EQ.1.AND.lat(i).LT.-60.)) THEN
+     IF ( (itr==id_rn.AND.NINT(masktr(i))==0).OR.       &
+          (itr==id_rn.AND.NINT(masktr(i))==1.AND.lat(i)<-60.)) THEN
         zx_trs(i) = 0.
         local_trs(i) = 0.
@@ -232,6 +232,6 @@
 ! des oceans et des continents
 !--------------------------------------------------------------
-     IF ( (itr.EQ.id_rn.AND.NINT(masktr(i)).EQ.0).OR.    &
-          (itr.EQ.id_rn.AND.NINT(masktr(i)).EQ.1.AND.lat(i).GT.70.)) THEN
+     IF ( (itr==id_rn.AND.NINT(masktr(i))==0).OR.    &
+          (itr==id_rn.AND.NINT(masktr(i))==1.AND.lat(i)>70.)) THEN
         zx_trs(i) = 0.
         local_trs(i) = 0.
@@ -241,5 +241,5 @@
 !--------------------------------------------
 
-     IF (itr.eq.id_rn.AND.NINT(masktr(i)).EQ.0) THEN
+     IF (itr==id_rn.AND.NINT(masktr(i))==0) THEN
         zx_trs(i) = 0.
         local_trs(i) = 0.
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5082)
@@ -90,5 +90,5 @@
 !****************************************************************************************
 
-    IF (iflag_pbl.EQ.1) THEN
+    IF (iflag_pbl==1) THEN
        CALL coefkz2(nsrf, knon, ypaprs, ypplay, yt, &
             ycoefm0, ycoefh0)
@@ -126,5 +126,5 @@
 !****************************************************************************************
 
-    IF (iflag_pbl.GE.3) THEN
+    IF (iflag_pbl>=3) THEN
 
        yzlay(1:knon,1)= &
@@ -174,5 +174,5 @@
          
 !   iflag_pbl peut etre utilise comme longuer de melange
-       IF (iflag_pbl.GE.31) THEN
+       IF (iflag_pbl>=31) THEN
           if ( klon>1 .or. (klon==1 .and. knon==1) ) then
           CALL vdif_kcay(knon,klev,knon,dtime,RG,RD,ypaprs,yt, &
@@ -333,5 +333,5 @@
 ! Prescrire la valeur de contre-gradient
 !
-    IF (iflag_pbl.EQ.1) THEN
+    IF (iflag_pbl==1) THEN
        DO k = 3, klev
           gamt(k) = -1.0E-03
@@ -344,5 +344,5 @@
     ENDIF
 !IM cf JLD/ GKtest
-    IF ( nsrf .NE. is_oce ) THEN
+    IF ( nsrf /= is_oce ) THEN
 !IM 261103     kstable = kstable_ter
        kstable = ksta_ter
@@ -398,5 +398,5 @@
              zdqs = FOEDE(zt,zdelta,zcvm5,zqs,zcor)
           ELSE
-             IF (zt .LT. t_coup) THEN
+             IF (zt < t_coup) THEN
                 zqs = qsats(zt) / pplay(i,k)
                 zdqs = dqsats(zt,zqs)
@@ -456,5 +456,5 @@
              zalh2=(0.5*ckap/rg*z2geomf &
                   /(1.+0.5*ckap/RG/(clam*SQRT(1.5*cd))*z2geomf))**2
-             IF (zri(i).LT.0.0) THEN  ! situation instable
+             IF (zri(i)<0.0) THEN  ! situation instable
                 zscf = ((zgeop(i,k)/zgeop(i,k-1))**(1./3.)-1.)**3 &
                      / (zmgeom(i)/RG)**3 / (zgeop(i,k-1)/RG)
@@ -483,5 +483,5 @@
 !
     DO i = 1, knon
-       IF (itop(i)+1 .LE. klev) THEN
+       IF (itop(i)+1 <= klev) THEN
           DO k = itop(i)+1, klev
              pcfh(i,k) = 0.0
@@ -567,6 +567,6 @@
                - RD * 0.5*(t(i,k)+t(i,k+1))/RCPD/paprs(i,k+1)
           zdthdp = zdthdp * 100.0
-          IF (pplay(i,k).GT.0.8*paprs(i,1) .AND. &
-               zdthdp.LT.zdthmin(i) ) THEN
+          IF (pplay(i,k)>0.8*paprs(i,1) .AND. &
+               zdthdp<zdthmin(i) ) THEN
              zdthmin(i) = zdthdp
              invb(i) = k
@@ -578,5 +578,5 @@
 ! Introduire une diffusion:
 !
-    IF ( nsrf.EQ.is_oce ) THEN
+    IF ( nsrf==is_oce ) THEN
        DO k = 2, klev
           DO i = 1, knon
@@ -590,5 +590,5 @@
 ! s'il n'y a pas d'inversion ou si l'inversion est trop faible
 !          IF ( (nsrf.EQ.is_oce) .AND. &
-             IF ( (invb(i).EQ.klev) .OR. (zdthmin(i).GT.seuil) ) THEN 
+             IF ( (invb(i)==klev) .OR. (zdthmin(i)>seuil) ) THEN
                 zl2(i)=(mixlen*MAX(0.0,(paprs(i,k)-paprs(i,klev+1)) &
                      /(paprs(i,2)-paprs(i,klev+1)) ))**2
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/coefcdrag.F90	(revision 5082)
@@ -101,9 +101,9 @@
 !
 !IM +++
-       IF(1.EQ.0) THEN
+       IF(1==0) THEN
        IF (okri) THEN
-         IF (ri1(i).GE.0.0.AND.zri1(i).LT.0.0) THEN
+         IF (ri1(i)>=0.0.AND.zri1(i)<0.0) THEN
            zri1(i) = ri1(i)
-         ELSE IF(ri1(i).LT.0.0.AND.zri1(i).GE.0.0) THEN
+         ELSE IF(ri1(i)<0.0.AND.zri1(i)>=0.0) THEN
            zri1(i) = ri1(i)
          ENDIF 
@@ -114,5 +114,5 @@
        cdran(i) = (RKAR/log(1.+zdphi(i)/(RG*rugos(i))))**2
 
-       IF (zri1(i) .ge. 0.) THEN 
+       IF (zri1(i) >= 0.) THEN
 !
 ! situation stable : pour eviter les inconsistances dans les cas 
@@ -128,5 +128,5 @@
 !           zcfh1(i) = cdran(i) * frih(i)
            zcfh1(i) = f_cdrag_ter*cdran(i) * frih(i)
-           IF(nsrf.EQ.is_oce) zcfh1(i)=f_cdrag_oce*cdran(i)*frih(i)
+           IF(nsrf==is_oce) zcfh1(i)=f_cdrag_oce*cdran(i)*frih(i)
            cdram(i) = zcfm1(i)
            cdrah(i) = zcfh1(i)
@@ -159,5 +159,5 @@
 !         IF (nsrf.EQ.is_oce) cdrah(i) = cdran(i)*(1.0+zcr(i)**1.25) &
 !                  **(1./1.25)
-         IF (nsrf.EQ.is_oce) cdrah(i)=f_cdrag_oce*cdran(i)*(1.0+zcr(i)**1.25) &
+         IF (nsrf==is_oce) cdrah(i)=f_cdrag_oce*cdran(i)*(1.0+zcr(i)**1.25) &
                   **(1./1.25)
        ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/MISR_simulator.F	(revision 5082)
@@ -133,5 +133,5 @@
             
         ! define location of "layer top"
-        if(ilev.eq.1 .or. ilev.eq.nlev) then
+        if(ilev==1 .or. ilev==nlev) then
             ztest=zfull(j,ilev)
         else
@@ -144,5 +144,5 @@
         do loop=2,n_MISR_CTH
         
-            if ( ztest .gt.
+            if ( ztest >
      &                1000*MISR_CTH_boundaries(loop+1) ) then
         
@@ -173,9 +173,9 @@
              dtau=0
              
-             if (frac_out(j,ibox,ilev).eq.1) then
+             if (frac_out(j,ibox,ilev)==1) then
                         dtau = dtau_s(j,ilev)
                  endif
                  
-                 if (frac_out(j,ibox,ilev).eq.2) then
+                 if (frac_out(j,ibox,ilev)==2) then
                         dtau = dtau_c(j,ilev)
                  end if 
@@ -186,5 +186,5 @@
         ! NOW for MISR ..
         ! if there a cloud ... start the counter ... store this height
-        if(thres_crossed_MISR .eq. 0 .and. dtau .gt. 0.) then
+        if(thres_crossed_MISR == 0 .and. dtau > 0.) then
         
             ! first encountered a "cloud"
@@ -193,8 +193,8 @@
         endif   
                 
-        if( thres_crossed_MISR .lt. 99 .and.
-     &              thres_crossed_MISR .gt. 0 ) then
+        if( thres_crossed_MISR < 99 .and.
+     &              thres_crossed_MISR > 0 ) then
      
-                if( dtau .eq. 0.) then
+                if( dtau == 0.) then
         
                     ! we have come to the end of the current cloud
@@ -212,7 +212,7 @@
             ! then MISR will like see a top below the top of the current 
             ! layer
-            if( dtau.gt.0 .and. (cloud_dtau-dtau) .lt. 1) then
-            
-                if(dtau .lt. 1 .or. ilev.eq.1 .or. ilev.eq.nlev) then
+            if( dtau>0 .and. (cloud_dtau-dtau) < 1) then
+            
+                if(dtau < 1 .or. ilev==1 .or. ilev==nlev) then
 
                     ! MISR will likely penetrate to some point
@@ -233,5 +233,5 @@
         
             ! check for a distinctive water layer
-            if(dtau .gt. 1 .and. at(j,ilev).gt.273 ) then
+            if(dtau > 1 .and. at(j,ilev)>273 ) then
      
                     ! must be a water cloud ... 
@@ -242,5 +242,5 @@
             ! if the total column optical depth is "large" than
             ! MISR can't seen anything else ... set current point as CTH level
-            if(tau(j,ibox) .gt. 5) then 
+            if(tau(j,ibox) > 5) then
 
                 thres_crossed_MISR=99           
@@ -254,5 +254,5 @@
         ! check to see if there was a cloud for which we didn't 
         ! set a MISR cloud top boundary
-        if( thres_crossed_MISR .eq. 1) then
+        if( thres_crossed_MISR == 1) then
     
         ! if the cloud has a total optical depth of greater
@@ -260,9 +260,9 @@
         ! with a height near the true cloud top
         ! otherwise there should be no CTH
-        if( tau(j,ibox) .gt. 0.5) then
+        if( tau(j,ibox) > 0.5) then
 
             ! keep MISR detected CTH
             
-        elseif(tau(j,ibox) .gt. 0.2) then
+        elseif(tau(j,ibox) > 0.2) then
 
             ! MISR may detect but wont likley have a good height
@@ -294,16 +294,16 @@
     !   This setup assumes the columns represent a about a 1 to 4 km scale
     !   it will need to be modified significantly, otherwise
-        if(ncol.eq.1) then
+        if(ncol==1) then
     
        ! adjust based on neightboring points ... i.e. only 2D grid was input
            do j=2,npoints-1
             
-            if(box_MISR_ztop(j-1,1).gt.0 .and. 
-     &             box_MISR_ztop(j+1,1).gt.0       ) then
+            if(box_MISR_ztop(j-1,1)>0 .and.
+     &             box_MISR_ztop(j+1,1)>0       ) then
 
                 if( abs( box_MISR_ztop(j-1,1) -  
-     &                   box_MISR_ztop(j+1,1) ) .lt. 500 
+     &                   box_MISR_ztop(j+1,1) ) < 500
      &              .and.
-     &                   box_MISR_ztop(j,1) .lt. 
+     &                   box_MISR_ztop(j,1) <
      &                   box_MISR_ztop(j+1,1)     ) then
             
@@ -319,11 +319,11 @@
          do ibox=2,ncol-1
             
-            if(box_MISR_ztop(1,ibox-1).gt.0 .and. 
-     &             box_MISR_ztop(1,ibox+1).gt.0        ) then
+            if(box_MISR_ztop(1,ibox-1)>0 .and.
+     &             box_MISR_ztop(1,ibox+1)>0        ) then
 
                 if( abs( box_MISR_ztop(1,ibox-1) -  
-     &                   box_MISR_ztop(1,ibox+1) ) .lt. 500 
+     &                   box_MISR_ztop(1,ibox+1) ) < 500
      &              .and.
-     &                   box_MISR_ztop(1,ibox) .lt. 
+     &                   box_MISR_ztop(1,ibox) <
      &                   box_MISR_ztop(1,ibox+1)     ) then
             
@@ -357,5 +357,5 @@
          do ibox=1,ncol
 
-            if (tau(j,ibox) .gt. (tauchk)) then
+            if (tau(j,ibox) > (tauchk)) then
                box_cloudy(j,ibox)=.true.
             endif
@@ -366,22 +366,22 @@
     
           !determine optical depth category
-              if (tau(j,ibox) .lt. isccp_taumin) then
+              if (tau(j,ibox) < isccp_taumin) then
                   itau=1
-              else if (tau(j,ibox) .ge. isccp_taumin                                    
-     &          .and. tau(j,ibox) .lt. 1.3) then
+              else if (tau(j,ibox) >= isccp_taumin
+     &          .and. tau(j,ibox) < 1.3) then
                   itau=2
-              else if (tau(j,ibox) .ge. 1.3 
-     &          .and. tau(j,ibox) .lt. 3.6) then
+              else if (tau(j,ibox) >= 1.3
+     &          .and. tau(j,ibox) < 3.6) then
                   itau=3
-              else if (tau(j,ibox) .ge. 3.6 
-     &          .and. tau(j,ibox) .lt. 9.4) then
+              else if (tau(j,ibox) >= 3.6
+     &          .and. tau(j,ibox) < 9.4) then
                   itau=4
-              else if (tau(j,ibox) .ge. 9.4 
-     &          .and. tau(j,ibox) .lt. 23.) then
+              else if (tau(j,ibox) >= 9.4
+     &          .and. tau(j,ibox) < 23.) then
                   itau=5
-              else if (tau(j,ibox) .ge. 23. 
-     &          .and. tau(j,ibox) .lt. 60.) then
+              else if (tau(j,ibox) >= 23.
+     &          .and. tau(j,ibox) < 60.) then
                   itau=6
-              else if (tau(j,ibox) .ge. 60.) then
+              else if (tau(j,ibox) >= 60.) then
                   itau=7
               endif
@@ -390,13 +390,13 @@
 
        ! update MISR histograms and summary metrics - roj 5/2005
-       if (sunlit(j).eq.1) then 
+       if (sunlit(j)==1) then
                      
               !if cloudy added by roj 5/2005
-          if( box_MISR_ztop(j,ibox).eq.0) then
+          if( box_MISR_ztop(j,ibox)==0) then
           
             ! no cloud detected
             iMISR_ztop=0
 
-          elseif( box_MISR_ztop(j,ibox).eq.-1) then
+          elseif( box_MISR_ztop(j,ibox)==-1) then
 
             ! cloud can be detected but too thin to get CTH
@@ -416,5 +416,5 @@
             do loop=2,n_MISR_CTH
         
-                if ( box_MISR_ztop(j,ibox) .gt.
+                if ( box_MISR_ztop(j,ibox) >
      &                1000*MISR_CTH_boundaries(loop+1) ) then
         
@@ -466,5 +466,5 @@
        enddo ! ibox - loop over subcolumns          
       
-       if( MISR_cldarea(j) .gt. 0.) then
+       if( MISR_cldarea(j) > 0.) then
         MISR_mean_ztop(j)= MISR_mean_ztop(j) / MISR_cldarea(j)   ! roj 5/2006
        endif
